<?php

	/*
	 * Addon tvsblog
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: install.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$tvsshop	= "tvsshop";
	$table_pre	= $REX['TABLE_PREFIX'] . $REX['ADDON']['rxid'][$tvsshop];
	$source_dir	= $REX['INCLUDE_PATH'] . '/addons/' . $tvsshop . '/files';
	$dest_dir	= $REX['MEDIAFOLDER'] . '/';
	$start_dir	= "/"; // $REX['MEDIAFOLDER'] . '/addons' . $tvsshop;

	if (is_dir($source_dir))
	{
		if(!rex_copyDir($source_dir, $dest_dir)) {
			$error = 'Verzeichnis '.$source_dir.' konnte nicht nach '.$dest_dir.' kopiert werden!';
			// $REX['ADDON']['install'][$tvsshop] = 0;
		}
	}

	//
	// Ini generieren
	//
	$tvsShopIniFile = $REX['INCLUDE_PATH'] . "/addons/tvsshop/tvsshop.ini";
	if (!file_exists($tvsShopIniFile)) {
		$inistring = "UseFacebook=1\nImageSize=150\nCurrency=€\nName_required=1\nStreet_required=1\nTown_required=1\nPhone_required=0\nEmail_required=1\nShopmail=shop@myshop.de\nShopname=My-Onlineshop\nShipping=5.00\nMwSt=19\nshopArticle_id=\nseparator=##semikolon##\noverridelines=2\ndefault_category=0\ndefault_status=0\ncol_artnr=1\ncol_ean=5\ncol_title=2\ncol_description=3\ncol_price=7\ncol_clang=0\n";
		$fh = fopen($tvsShopIniFile, 'w') or die("Can't open tvsshop.ini.");
		$stringData = stripslashes($inistring);
		fwrite($fh, $stringData);
		fclose($fh);
		echo rex_info("TvsShop-Ini-Datei wurde generiert!");
	}
	//
	// DB updaten...
	//
	function recursiveArraySearch($haystack, $needle, $index = null) {
		$aIt = new RecursiveArrayIterator($haystack);
		$it = new RecursiveIteratorIterator($aIt);
	   
		while($it->valid())	{
			if (((isset($index) AND ($it->key() == $index)) OR (!isset($index))) AND ($it->current() == $needle)) {
			 return $aIt->key();
			}
			$it->next();
		}
		return false;
	}
	
	$db = new rex_sql();
	$cols = $db->showColumns($table_pre);
	if (recursiveArraySearch($cols,'features') == "")
		$db->setQuery('ALTER TABLE ' . $table_pre . '_articles ADD features text NOT NULL AFTER keywords;');
	if (recursiveArraySearch($cols,'category_id') == "")
		$db->setQuery('ALTER TABLE ' . $table_pre . '_articles ADD category_id int(10) NOT NULL AFTER status');	
	if (recursiveArraySearch($cols,'meta_description') == "")
		$db->setQuery('ALTER TABLE ' . $table_pre . '_articles ADD meta_description text NOT NULL AFTER keywords');	
	//
	// Ende DB-Update
	//
	if (OOAddon :: isAvailable('rexseo') || OOAddon :: isAvailable('seo42')) {
		rexseo_generate_pathlist(array());
	}			

	$error = '';
	if($error != '')
		$REX['ADDON']['installmsg'][$tvsshop] = $error;
	else
		$REX['ADDON']['install'][$tvsshop] = true;

?>