<script type="text/javascript">
	jQuery(document).ready(function() {

		jQuery('#meta_description').keyup(function() {
			updateMetaDescriptionCount();
		});

		updateMetaDescriptionCount();

	});


	function ltrim(str, chr) {
		var rgxtrim = (!chr) ? new RegExp('^\\s+') : new RegExp('^' + chr + '+');
		return str.replace(rgxtrim, '');
	}
	
	function updateMetaDescriptionCount() {
		jQuery('#meta_description-charcount').html(jQuery('#meta_description').val().length);
	}

	function moveWindow (){window.location.hash="showarticle";}
</script>

<?php

	/*
	 * Addon tvsshop
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$rexversion	= $REX['VERSION'] . $REX['SUBVERSION'];
	$art_table	= $table_pre . "_articles";
	$cat_table	= $table_pre . "_categories";
	$thispage	= "tvsshop";
	$thissubpage= "articles";
	$baseURL	= 'index.php?page='.$thispage.'&amp;subpage='.$thissubpage;


	$myTvsShopIniFile = $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";

	$art_category	= rex_post('art_category', 'int', -1);
	$art_artnr		= rex_post('art_artnr', 'string', '');
	$art_ean		= rex_post('art_ean', 'string', '');
	$art_title		= rex_post('art_title', 'string', '');
	$art_description= rex_post('art_description', 'string', '');
	$art_keywords	= rex_post('art_keywords', 'string', '');
	$art_meta_description= rex_post('meta_description', 'string', '');
	$art_price		= rex_post('art_price', 'string', '0');
	$art_filelist	= rex_post('REX_MEDIALIST_1', 'string', '');
	$create_user	= rex_post('create_user', 'string', $REX['USER']->getValue('login'));
	$mode			= rex_post('mode', 'string', '');

	if ($art_price == "")
		$art_price = "0";
		
	$settings = parse_ini_file($myTvsShopIniFile);
	if ($settings['shopArticle_id'] == "") {
		echo rex_warning("ShopArticle_id ist nicht gesetzt, bitte in den <a href=\"index.php?page=" . $thispage . "&amp;subpage=settings\">Einstellungen</a> ändern!");
	}

	//
	// DB updaten...
	//
	function recursiveArraySearch($haystack, $needle, $index = null) {
		$aIt = new RecursiveArrayIterator($haystack);
		$it = new RecursiveIteratorIterator($aIt);
	   
		while($it->valid())	{
			if (((isset($index) AND ($it->key() == $index)) OR (!isset($index))) AND ($it->current() == $needle)) {
			 return $aIt->key();
			}
			$it->next();
		}
		return false;
	}
	
	$db = new rex_sql();
	$cols = $db->showColumns($art_table);
	if (recursiveArraySearch($cols,'features') == "")
		$db->setQuery('ALTER TABLE ' . $table_pre . '_articles ADD features text NOT NULL AFTER keywords;');
	if (recursiveArraySearch($cols,'category_id') == "")
		$db->setQuery('ALTER TABLE ' . $table_pre . '_articles ADD category_id int(10) NOT NULL AFTER status');	
	if (recursiveArraySearch($cols,'meta_description') == "")
		$db->setQuery('ALTER TABLE ' . $table_pre . '_articles ADD meta_description text NOT NULL AFTER keywords');	
	//
	// Ende DB-Update
	//

	if ($func == "write" && !isset($cancel)) {
		$art_price = str_replace (",", ".", $art_price);
		$sql = new rex_sql();
		if ($mode == "add") {
			$sql->setQuery("INSERT INTO " . $art_table . " (artnr,ean, title, description, keywords, meta_description, category_id, price, filelist, create_user, create_date, clang, status) VALUES ('" . $art_artnr . "', '" . $art_ean . "', '" . $art_title . "', '" . $art_description . "', '" . $art_keywords . "', " . $art_meta_description . ", " . $art_category . ", " . $art_price . ", '" . $art_filelist . "', '" . $create_user . "'," . time() . ", 0, 0)");
			$err = $sql->getError();
			if ($err == "")
				echo rex_info("Artikel hinzugefügt!");
			else
				echo rex_warning($err);
		} else {
			$sql->setQuery("UPDATE " . $art_table . " SET artnr = '" . $art_artnr . "', ean = '" . $art_ean . "', title = '" . $art_title . "', description = '" . $art_description . "', keywords = '" . $art_keywords . "', meta_description = '" . $art_meta_description . "', category_id = " . $art_category . ", price = " . $art_price . ", filelist = '" . $art_filelist . "', create_user = '" . $create_user . "', create_date = " . time() . " WHERE id = " . rex_post('id', 'int', 0));
			$err = $sql->getError();
			if ($err == "")
				echo rex_info("Artikel gespeichert!");
			else
				echo rex_warning($err);
		}
		if (OOAddon :: isAvailable('rexseo') || OOAddon :: isAvailable('seo42')) {
			rexseo_generate_pathlist(array());
		}			
	} elseif ($func == "delete") {
		$sql = new rex_sql();
		$sql->setQuery("DELETE FROM " . $art_table . " WHERE id = " . rex_get('id', 'int', 0));
		$err = $sql->getError();
		if ($err == "")
			echo rex_info("Artikel gelöscht!");
		else
			echo rex_warning($err);
		if (OOAddon :: isAvailable('rexseo') || OOAddon :: isAvailable('seo42')) {
			rexseo_generate_pathlist(array());
		}			
	} elseif ($func == "status") {
		$sql = new rex_sql();
		$sql->setQuery("UPDATE " . $art_table . " SET status = NOT status WHERE id = " . rex_get('id', 'int', 0));
		if (OOAddon :: isAvailable('rexseo') || OOAddon :: isAvailable('seo42')) {
			rexseo_generate_pathlist(array());
		}			
	} elseif ($func == "add" || $func == "edit") {
		echo "<script type=\"text/javascript\">";
		echo "window.onload = function() {";
		echo "	moveWindow();";
		echo "}";
		echo "</script>";
	} else if ($func == "search") {
		$search	= rex_post('search', 'string', '');
	}
?>

<div class="rex-addon-output">
	<div id="rex-addon-editmode" class="rex-form">
		<div class="rex-form-wrapper">
			<form action="<?php echo $baseURL; ?>" method="post" name="form-search">
				<p class="rex-form-col-a rex-form-text" id="_top">
					<input type="hidden" name="func" value="search" />
					<label for="search">&nbsp;Artikel filtern:</label>
					<input id="search" name="search" type="text" class="rex-form-text" value="<?php echo $search; ?>" />
					<input type="submit" name="submit" class="rex-form-submit submit" value="suchen" />&nbsp;
					<?php
					if ($search != "") {
						echo "<a href=\"" . $baseURL . "\" class=\"rex-offline\">Gefiltert nach: " . $search . ", Filter aufheben</a>";
					}
					?>
				</p>
			</form>
		</div>
	</div>
</div>

<div class="rex-addon-output-v2">
	<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
	<table class="rex-table" id="rex-articles">
		<caption>Liste der Artikel</caption>
		<colgroup>
			<col width="30" />
			<col width="30" />
			<col width="*" />
			<col width="40" />
			<col width="50" />
			<col width="50" />
			<col width="50" />
		</colgroup>
		<thead>
			<tr>
				<th class="rex-icon"><a class="rex-i-element rex-i-article-add _rex488_icon_article-new" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=add"><span class="rex-i-element-text">hinzufügen</span></a></th>
				<th>Artnr.</th>
				<th>Titel</th>
				<th>Preis</th>
				<th colspan="3">Funktion / Status</th>
			</tr>
		</thead>
		<tbody>
<?php

	$sql = new rex_sql();
	if ($search != "") {
		$sql->setQuery("SELECT * FROM " . $art_table . " WHERE artnr LIKE '%" . $search . "%' OR title LIKE '%" . $search . "%' OR description LIKE '%" . $search . "%' ORDER BY title");
	} else
		$sql->setQuery("SELECT * FROM " . $art_table . " ORDER BY title");

	if ($sql->getRows() > 0 ) {
		for ($i = 1; $i <= $sql->getRows(); $i++) {
?>
             <tr>
                <td class="rex-icon"><a class="rex-i-element rex-i-article" href="<?php print $baseURL; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><span class="rex-i-element-text">Editieren</span></a></td>
                <td><?php echo $sql->getValue('artnr'); ?></td>
                <td><a href="<?php print $baseURL; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo htmlspecialchars($sql->getValue('title')); ?></a></td>
                <td><?php echo $sql->getValue('price'); ?></td>
                <td><a href="<?php print $baseURL; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>">ändern</a></td>
                <td><a href="<?php print $baseURL; ?>&amp;func=delete&amp;id=<?php echo $sql->getValue('id'); ?>" onclick="return confirm('Sicher löschen?');">löschen</a></td>
                <?php
                $status_description = ($sql->getValue('status') == 1) ? 'online' : 'offline';
                $status_classname = ($sql->getValue('status') == 1) ? 'rex-online' : 'rex-offline';
                ?>
                <td><a class="<?php echo $status_classname; ?>" href="<?php print $baseURL; ?>&amp;func=status&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $status_description; ?></a></td>
             </tr>
<?php
			$sql->next();
		}
	} else {
?>
		<tr>
			<td colspan="6" align="center">
				<p>Es sind noch keine Beiträge vorhanden.</p>
			</td>
		</tr>
<?php
	}
?>
		</tbody>
	</table>
	</form>
</div>

	<br />

<?php

	// Neuen Artikel anlegen
	if ($func == "add" || $func == "edit") {
		$kategorie		= "";
		$art_artnr		= "";
		$art_ean		= "";
		$art_title		= "";
		$art_description= "";
		$art_keywords	= "";
		$art_meta_description = "";
		$art_price		= "";
		$art_filelist	= "";
		$create_user	= "";

		$id = rex_get('id', 'int', 0);

		if ($func == "edit" && $id > 0) {
			$sql = new rex_sql();
			$sql->setQuery("SELECT * FROM " . $art_table . " WHERE id = " . $id);
			if ($sql->getRows() > 0 ) {
				$art_category	= $sql->getValue('category_id');
				$art_artnr		= $sql->getValue('artnr');
				$art_ean		= $sql->getValue('ean');
				$art_title		= $sql->getValue('title');
				$art_description= $sql->getValue('description');
				$art_keywords	= $sql->getValue('keywords');
				$art_meta_description= $sql->getValue('meta_description');
				$art_price		= $sql->getValue('price');
				$art_filelist	= $sql->getValue('filelist');
				$create_user	= $sql->getValue('create_user');
			}
		}
?>

	<br />

	<?php
		if (OOAddon::isInstalled("tinymce")) {
			if ($rexversion == "42") { ?>
				<script type="text/javascript" src="../files/addons/tinymce/tiny_mce/tiny_mce.js"></script>
				<script type="text/javascript" src="../files/addons/tinymce/tiny_mce/plugins/media/js/rexembed.js"></script>
				<script type="text/javascript" src="../files/addons/tinymce/tiny_mce_init.php?clang=0&amp;version=42" id="TinyMCEInit"></script>
			<?php }
				else if ($rexversion == "43") { ?>
					<script type="text/javascript" src="../files/addons/tinymce/tiny_mce/plugins/media/js/rexembed.js"></script>
			<?php }
		}
?>

	<div class="rex-addon-output">
		<h2 class="rex-hl2" id="showarticle">Artikel anlegen / bearbeiten</h2>
		<div id="rex-addon-editmode" class="rex-form">
		<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
			<fieldset class="rex-form-col-1">

				<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
				<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
				<input type="hidden" name="func" value="write" />
				<input type="hidden" name="mode" value="<?php echo htmlspecialchars($func); ?>" />
				<input type="hidden" name="id" value="<?php echo $id; ?>" />

				<div class="rex-form-wrapper">

				<div class="rex-form-row">
				 <p class="rex-form-col-a rex-form-select">
					<label for="art_category">Kategorie</label>
					<select name="art_category" class="rex-form-select">
					<option value=""></option>
					<?php
						$cat_sql = new rex_sql();
						$cat_sql->setQuery("SELECT * FROM " . $cat_table);

						if ($cat_sql->getRows() > 0 )
						{
							for ($i = 1; $i <= $cat_sql->getRows(); $i++)
							{
								$catID = $cat_sql->getValue('id');
								
								if ($art_category == $catID)
									$selected = "selected";
								else
									$selected = "";
								echo '<option value="' . $catID . '" ' . $selected . '>' . htmlspecialchars($cat_sql->getValue('title')) . '</option>';
								$cat_sql->next();
							}
						}
					?>
					</select>
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_artnr">ArtNr.</label>
						<input id="art_artnr" name="art_artnr" type="text" style="width:100px;" class="rex-form-text" value="<?php echo htmlspecialchars($art_artnr); ?>" />
					</p>
				</div>
				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_ean">EAN-Nr.</label>
						<input id="art_ean" name="art_ean" type="text" style="width:100px;" class="rex-form-text" value="<?php echo htmlspecialchars($art_ean); ?>" />
					</p>
				</div>
				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_title">Titel</label>
						<input id="art_title" name="art_title" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($art_title); ?>" />
					</p>
				</div>
				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-textarea">
						<label for="art_description">Beschreibung</label>
						<textarea name="art_description" id="art_description" class="tinyMCEEditor rex-form-text" style="height:300px;"><?php echo htmlspecialchars($art_description); ?></textarea>
					</p>
				</div>
				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_price">Preis</label>
						<input id="art_price" name="art_price" type="text" style="width:100px;" class="rex-form-text" value="<?php echo htmlspecialchars($art_price); ?>" /> €
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_keywords">Keywords<br />(Mit Komma getrennt!)</label>
						<input id="art_keywords" name="art_keywords" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($art_keywords); ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					<p class="rex-form-textarea">
						<label for="description">Meta-Description</label>
						<textarea name="meta_description" id="meta_description" style="height:75px;"><?php echo htmlspecialchars($art_meta_description); ?></textarea>
						<span class="rex-form-notice right"><span id="meta_description-charcount">0</span> von 156 Zeichen</span>					
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_filelist">Bilder</label>
						<table style="margin-left:150px;">
							<tr class="picchanger">
								<td>
									<table class="rexbutton">
										<tr>
											<td valign="top">
												<select name="REX_MEDIALIST_SELECT_1" id="REX_MEDIALIST_SELECT_1" size="8" style="width:200px;" class="inpgrey100">
												<?php
													if (trim($art_filelist) != "") {
														$arr = explode(",",$art_filelist);
														foreach ($arr as $value) {
															echo "<option value=\"" . $value . "\">" . $value . "</option>";
														}
													}
												?>
												</select>
											</td>
											<td style="vertical-align: top;">
												<a href=javascript:moveREXMedialist(1,'top');>
													<img src=media/file_top.gif width=16 height=16 vspace=2 title='^^' border=0>
												</a><br/>
												<a href=javascript:moveREXMedialist(1,'up');>
													<img src=media/file_up.gif width=16 height=16 vspace=2 title='^' border=0>
												</a><br/>
												<a href=javascript:moveREXMedialist(1,'down');>
													<img src=media/file_down.gif width=16 height=16 vspace=2 title='v' border=0>
												</a><br/>
												<a href=javascript:moveREXMedialist(1,'bottom');>
													<img src=media/file_bottom.gif width=16 height=16 vspace=2 title='vv' border=0>
												</a>
											</td>
											<td class="inpicon" style="vertical-align: top;">
												<a href=javascript:openREXMedialist(1);>
													<img src=media/file_add.gif width=16 height=16 vspace=2 title='+' border=0>
												</a><br/>
												<a href=javascript:deleteREXMedialist(1);>
													<img src=media/file_del.gif width=16 height=16 vspace=2 title='-' border=0>
												</a>
											</td>
										</tr>
										<tr>
											<input type="hidden" name="REX_MEDIALIST_1" value="<?php echo $art_filelist; ?>" id="REX_MEDIALIST_1" />
										</tr>
									</table>
								</td>
								<td style="width:100px;"><div style="overflow:hidden;"></div></td>					
							</tr>
						</table>
					</p>
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
						<input type="submit" name="submit" class="rex-form-submit submit" value="Speichern" />&nbsp;
						<input type="submit" name="cancel" class="rex-form-submit cancel" value="Abbrechen" />
					</p>
				</div>

			</div>
			</fieldset>
		</form>
		</div>
		
	</div>

<?php
	}
?>